Zum Hauptinhalt springen
POST
/
crm
/
v3
/
objects
/
subscriptions
/
batch
/
update
Update multiple subscriptions in a batch.
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/subscriptions/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "<string>",
      "properties": {},
      "idProperty": "my_unique_property_name",
      "objectWriteTraceId": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
inputs
object[]
erforderlich

Antwort

successful operation

A public object batch response object

completedAt
string<date-time>
erforderlich

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
erforderlich

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE"

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

An object containing relevant links related to the batch request.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

Last modified on April 9, 2026